--- old/usr/src/man/man7d/usba.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/usba.7d	Fri Jan 10 14:01:41 2020
@@ -1,9 +1,10 @@
 .\" Copyright (c) 2009, Sun Microsystems, Inc.  All Rights Reserved
 .\" Copyright 2016 Joyent, Inc.
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd May 13, 2017
+.Dd Jan 10, 2020
 .Dt USBA 7D
 .Os
 .Sh NAME
@@ -38,51 +39,39 @@
 .Sh FILES
 Listed below are drivers and modules which either utilize or are utilized by
 USBA.
-Drivers in
-.Pa /kernel/drv
-are 32 bit drivers (x86 only).
-Drivers in
-.Pa /kernel/drv/sparcv9
-or
-.Pa kernel/drv/amd64
-are 64 bit drivers.
-.Bl -column -offset indent ".Pa kernel/drv/[sparcv9|amd64/]usbser_edge" "Edgeport USB to serial port"
+.Bl -column -offset indent ".Pa /kernel/drv/[sparcv9|amd64]/usbser_edge" "Edgeport USB to serial port"
 .It Em Client Driver Ta Em Function/Device
 .It Ta
-.It Pa kernel/drv/[sparcv9|amd64/]hid Ta HID class
-.It Pa kernel/drv/[sparcv9|amd64/]hubd Ta hub class
-.It Pa kernel/drv/[sparcv9|amd64/]scsa2usb Ta mass storage class
-.It Pa kernel/drv/[sparcv9|amd64/]usbprn Ta printer class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_as Ta audio streaming class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_ac Ta audio control class
-.It Pa kernel/drv/[sparcv9|amd64/]usbvc Ta video class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_mid Ta multi-interface device
-.It Pa kernel/drv/[sparcv9|amd64/]usb_ia Ta interface-association driver
-.It Pa kernel/drv/[sparcv9|amd64/]usbser_edge Ta Edgeport USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsksp Ta Keyspan USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsprl Ta pl2303 USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsacm Ta CDC ACM class to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]ugen Ta generic USB driver
-.It Pa kernel/drv/[sparcv9|amd64/]ohci Ta open host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]uhci Ta universal host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]ehci Ta enhanced host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]xhci Ta extensible host controller driver
+.It Pa /kernel/drv/[sparcv9|amd64]/hid Ta HID class
+.It Pa /kernel/drv/[sparcv9|amd64]/hubd Ta hub class
+.It Pa /kernel/drv/[sparcv9|amd64]/scsa2usb Ta mass storage class
+.It Pa /kernel/drv/[sparcv9|amd64]/usbprn Ta printer class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_as Ta audio streaming class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_ac Ta audio control class
+.It Pa /kernel/drv/[sparcv9|amd64]/usbvc Ta video class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_mid Ta multi-interface device
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_ia Ta interface-association driver
+.It Pa /kernel/drv/[sparcv9|amd64]/usbser_edge Ta Edgeport USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsksp Ta Keyspan USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsprl Ta pl2303 USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsacm Ta CDC ACM class to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/ugen Ta generic USB driver
 .El
 .Bl -column -offset indent ".Pa /kernel/strmod/[sparcv9|amd64/]usb_ah" "Function/Device"
 .It Ta
 .It Em Client Streams Modules Ta Em Function/Device
 .It Ta
-.It Pa /kernel/strmod/[sparcv9|amd64/]usbkbm Ta Keyboad
-.It Pa /kernel/strmod/[sparcv9|amd64/]usbms Ta Mouse
-.It Pa /kernel/strmod/[sparcv9|amd64/]usb_ah Ta Audio HID
+.It Pa /kernel/strmod/[sparcv9|amd64]/usbkbm Ta Keyboard
+.It Pa /kernel/strmod/[sparcv9|amd64]/usbms Ta Mouse
+.It Pa /kernel/strmod/[sparcv9|amd64]/usb_ah Ta Audio HID
 .El
 .Bl -column -offset indent ".Em Host Controller Interface Drivers" "Extensible HCI"
 .It Em Host Controller Interface Drivers Ta Em Device
 .It Ta
-.It Pa /kernel/drv/[amd64/]xhci Ta Extensible HCI
-.It Pa /kernel/drv/[sparcv9|amd64/]ehci Ta Enhanced HCI
-.It Pa /kernel/drv/[sparcv9|amd64/]ohci Ta Open HCI
-.It Pa /kernel/drv/[sparcv|amd64/]uhci Ta Universal HCI
+.It Pa /kernel/drv/amd64/xhci Ta Extensible HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/ehci Ta Enhanced HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/ohci Ta Open HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/uhci Ta Universal HCI
 .El
 .Sh DIAGNOSTICS
 The messages described below may appear on the system console as well as being
@@ -110,7 +99,7 @@
 <device path><usba<instance number>): message...
 .Ed
 .Bl -tag -width Sy -offset 2n
-.It Sy Incorrect USB driver version for <n.m>.
+.It Sy Incorrect USB driver version for <n.m> .
 Driver is incompatible with USBA framework.
 .El
 .Sh SEE ALSO
